%define name ladspa
%define oname ladspa_sdk
%define version 1.12
%define release 8mdk

Summary: LADSPA SDK example plugins
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.ladspa.org/download/%{oname}_%version.tar.bz2
Source1: ladspa.sh.bz2
Source2: ladspa.csh.bz2
License: LGPL
Group: Sound
URL: http://www.ladspa.org
BuildRoot: %{_tmppath}/%{name}-buildroot
#for mkdirhier
BuildRequires: XFree86

%description

There is a large number of synthesis packages in use or development on
the Linux platform at this time. The Linux Audio Developer's Simple
Plugin API (LADSPA) attempts to give programmers the ability to write
simple `plugin' audio processors in C/C++ and link them dynamically
against a range of host applications.

This package contains the example plugins from the LADSPA SDK.

%package devel
Summary:Linux Audio Developer's Simple Plugin API
Group: Development/C
Requires: %name = %version
%description devel

There is a large number of synthesis packages in use or development on
the Linux platform at this time. The Linux Audio Developer's Simple
Plugin API (LADSPA) attempts to give programmers the ability to write
simple `plugin' audio processors in C/C++ and link them dynamically
against a range of host applications.

Definitive technical documentation on LADSPA plugins for both the host
and plugin is contained within copious comments within the ladspa.h
header file.

%prep
%setup -q -n %oname
cd doc
#fix links to the header file in the docs
perl -pi -e "s!HREF=\"ladspa.h.txt\"!href=\"file:///usr/include/ladspa.h\"!" *.html


%build
cd src
%make targets

%install
rm -rf $RPM_BUILD_ROOT
cd src
%makeinstall INSTALL_PLUGINS_DIR=%buildroot%_libdir/ladspa INSTALL_INCLUDE_DIR=%buildroot%_includedir INSTALL_BINARY_DIR=%buildroot%_bindir
install -d -m 755 %buildroot%_sysconfdir/profile.d
bzcat %SOURCE1 > %buildroot%_sysconfdir/profile.d/ladspa.sh
bzcat %SOURCE2 > %buildroot%_sysconfdir/profile.d/ladspa.csh
#gw replace lib by lib64 if needed
perl -pi -e "s!/usr/lib!%_libdir!" %buildroot%_sysconfdir/profile.d/ladspa*sh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/COPYING
%config(noreplace) %attr(755,root,root) %_sysconfdir/profile.d/ladspa*sh
%_libdir/ladspa
%_bindir/*

%files devel
%defattr(-,root,root)
%doc doc/*.html doc/COPYING
%_includedir/ladspa.h

%changelog
* Mon Jun 06 2005 Gtz Waschk <waschk@mandriva.org> 1.12-8mdk
- Rebuild

* Fri Jun  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.12-7mdk
- add source URL
- drop prefix
- new g++

* Tue Jan 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.12-6mdk
- add scripts for setting the LADSPA_PATH variable (Daniel Lyddy)

* Mon Apr 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.12-5mdk
- fix distriblint warning

* Tue Apr  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.12-4mdk
- fix buildrequires

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.12-3mdk
- use versioned tarball
- new version

* Thu Aug 15 2002 Laurent Culioli <laurent@pschit.net> 1.12-2mdk
- Rebuild with gcc3.2

* Mon Aug 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.12-1mdk
- new version

* Mon Jul 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.11-3mdk
- gcc 3.2 build

* Tue May 28 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.11-2mdk
- gcc 3.1

* Thu Mar 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.11-1mdk
- initial package
